Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataSetToDataObjectFilter Class Reference

`#include <vtkDataSetToDataObjectFilter.h>`

Inheritance diagram for vtkDataSetToDataObjectFilter:

[legend]
Collaboration diagram for vtkDataSetToDataObjectFilter:

[legend]
List of all members.

## Detailed Description

map dataset into data object (i.e., a field)

Date:
  2002/11/03 22:51:55

Revision:
  1.19

vtkDataSetToDataObjectFilter is an class that transforms a dataset into data object (i.e., a field). The field will have labeled data arrays corresponding to the topology, geometry, field data, and point and cell attribute data.

You can control what portions of the dataset are converted into the output data object's field data. The instance variables Geometry, Topology, FieldData, PointData, and CellData are flags that control whether the dataset's geometry (e.g., points, spacing, origin); topology (e.g., cell connectivity, dimensions); the field data associated with the dataset's superclass data object; the dataset's point data attributes; and the dataset's cell data attributes. (Note: the data attributes include scalars, vectors, tensors, normals, texture coordinates, and field data.)

The names used to create the field data are as follows. For vtkPolyData, "Points", "Verts", "Lines", "Polys", and "Strips". For vtkUnstructuredGrid, "Cells" and "CellTypes". For vtkStructuredPoints, "Dimensions", "Spacing", and "Origin". For vtkStructuredGrid, "Points" and "Dimensions". For vtkRectilinearGrid, "XCoordinates", "YCoordinates", and "ZCoordinates". for point attribute data, "PointScalars", "PointVectors", etc. For cell attribute data, "CellScalars", "CellVectors", etc. Field data arrays retain their original name.

See also:
  vtkDataObject vtkFieldData vtkDataObjectToDataSetFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (65%)
  - Geveci, Berk (19%)
  - Law, Charles (7%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkDataSetToDataObjectFilter.h)`
  - .`cxx` (`/Graphics/vtkDataSetToDataObjectFilter.cxx)`

Tests:
  vtkDataSetToDataObjectFilter (Tests)

Definition at line 72 of file vtkDataSetToDataObjectFilter.h.

## Public Types
typedef vtkDataObjectSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetGeometry (int)
virtual int | GetGeometry ()
virtual void | GeometryOn ()
virtual void | GeometryOff ()
virtual void | SetTopology (int)
virtual int | GetTopology ()
virtual void | TopologyOn ()
virtual void | TopologyOff ()
virtual void | SetFieldData (int)
virtual int | GetFieldData ()
virtual void | FieldDataOn ()
virtual void | FieldDataOff ()
virtual void | SetPointData (int)
virtual int | GetPointData ()
virtual void | PointDataOn ()
virtual void | PointDataOff ()
virtual void | SetCellData (int)
virtual int | GetCellData ()
virtual void | CellDataOn ()
virtual void | CellDataOff ()
virtual void | SetInput (vtkDataSet *input)
vtkDataSet * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkDataSetToDataObjectFilter * | SafeDownCast (vtkObject *o)
vtkDataSetToDataObjectFilter * | New ()
## Protected Methods
| vtkDataSetToDataObjectFilter ()
| ~vtkDataSetToDataObjectFilter ()
void | Execute ()
void | ComputeInputUpdateExtents (vtkDataObject *output)
## Protected Attributes
int | Geometry
int | Topology
int | PointData
int | CellData
int | FieldData

## Member Typedef Documentation

typedef vtkDataObjectSource vtkDataSetToDataObjectFilter::Superclass

| Reimplemented from vtkDataObjectSource. Reimplemented in vtkMeshQuality. Definition at line 75 of file vtkDataSetToDataObjectFilter.h.

## Constructor & Destructor Documentation

vtkDataSetToDataObjectFilter::vtkDataSetToDataObjectFilter | ( |  | ) | `[protected]`

vtkDataSetToDataObjectFilter::~vtkDataSetToDataObjectFilter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkDataSetToDataObjectFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataObjectSource. Reimplemented in vtkMeshQuality.

int vtkDataSetToDataObjectFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataObjectSource. Reimplemented in vtkMeshQuality.

virtual int vtkDataSetToDataObjectFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataObjectSource. Reimplemented in vtkMeshQuality.

vtkDataSetToDataObjectFilter* vtkDataSetToDataObjectFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataObjectSource. Reimplemented in vtkMeshQuality.

void vtkDataSetToDataObjectFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataObjectSource. Reimplemented in vtkMeshQuality.

vtkDataSetToDataObjectFilter* vtkDataSetToDataObjectFilter::New | ( |  | ) | `[static]`

| Instantiate the object to transform all data into a data object. Reimplemented from vtkObject. Reimplemented in vtkMeshQuality.

virtual void vtkDataSetToDataObjectFilter::SetGeometry | ( | int |  | ) | `[virtual]`

| Turn on/off the conversion of dataset geometry to a data object.

virtual int vtkDataSetToDataObjectFilter::GetGeometry | ( |  | ) | `[virtual]`

| Turn on/off the conversion of dataset geometry to a data object.

virtual void vtkDataSetToDataObjectFilter::GeometryOn | ( |  | ) | `[virtual]`

| Turn on/off the conversion of dataset geometry to a data object.

virtual void vtkDataSetToDataObjectFilter::GeometryOff | ( |  | ) | `[virtual]`

| Turn on/off the conversion of dataset geometry to a data object.

virtual void vtkDataSetToDataObjectFilter::SetTopology | ( | int |  | ) | `[virtual]`

| Turn on/off the conversion of dataset topology to a data object.

virtual int vtkDataSetToDataObjectFilter::GetTopology | ( |  | ) | `[virtual]`

| Turn on/off the conversion of dataset topology to a data object.

virtual void vtkDataSetToDataObjectFilter::TopologyOn | ( |  | ) | `[virtual]`

| Turn on/off the conversion of dataset topology to a data object.

virtual void vtkDataSetToDataObjectFilter::TopologyOff | ( |  | ) | `[virtual]`

| Turn on/off the conversion of dataset topology to a data object.

virtual void vtkDataSetToDataObjectFilter::SetFieldData | ( | int |  | ) | `[virtual]`

| Turn on/off the conversion of dataset field data to a data object.

virtual int vtkDataSetToDataObjectFilter::GetFieldData | ( |  | ) | `[virtual]`

| Turn on/off the conversion of dataset field data to a data object.

virtual void vtkDataSetToDataObjectFilter::FieldDataOn | ( |  | ) | `[virtual]`

| Turn on/off the conversion of dataset field data to a data object.

virtual void vtkDataSetToDataObjectFilter::FieldDataOff | ( |  | ) | `[virtual]`

| Turn on/off the conversion of dataset field data to a data object.

virtual void vtkDataSetToDataObjectFilter::SetPointData | ( | int |  | ) | `[virtual]`

| Turn on/off the conversion of dataset point data to a data object.

virtual int vtkDataSetToDataObjectFilter::GetPointData | ( |  | ) | `[virtual]`

| Turn on/off the conversion of dataset point data to a data object.

virtual void vtkDataSetToDataObjectFilter::PointDataOn | ( |  | ) | `[virtual]`

| Turn on/off the conversion of dataset point data to a data object.

virtual void vtkDataSetToDataObjectFilter::PointDataOff | ( |  | ) | `[virtual]`

| Turn on/off the conversion of dataset point data to a data object.

virtual void vtkDataSetToDataObjectFilter::SetCellData | ( | int |  | ) | `[virtual]`

| Turn on/off the conversion of dataset cell data to a data object.

virtual int vtkDataSetToDataObjectFilter::GetCellData | ( |  | ) | `[virtual]`

| Turn on/off the conversion of dataset cell data to a data object.

virtual void vtkDataSetToDataObjectFilter::CellDataOn | ( |  | ) | `[virtual]`

| Turn on/off the conversion of dataset cell data to a data object.

virtual void vtkDataSetToDataObjectFilter::CellDataOff | ( |  | ) | `[virtual]`

| Turn on/off the conversion of dataset cell data to a data object.

virtual void vtkDataSetToDataObjectFilter::SetInput | ( | vtkDataSet * | input | ) | `[virtual]`

| Cast input to DataSet.

vtkDataSet* vtkDataSetToDataObjectFilter::GetInput | ( |  | ) |

| Cast input to DataSet.

void vtkDataSetToDataObjectFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource. Reimplemented in vtkMeshQuality.

void vtkDataSetToDataObjectFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkSource.

## Member Data Documentation

int vtkDataSetToDataObjectFilter::Geometry`[protected]`

| Definition at line 129 of file vtkDataSetToDataObjectFilter.h.

int vtkDataSetToDataObjectFilter::Topology`[protected]`

| Definition at line 130 of file vtkDataSetToDataObjectFilter.h.

int vtkDataSetToDataObjectFilter::PointData`[protected]`

| Definition at line 131 of file vtkDataSetToDataObjectFilter.h.

int vtkDataSetToDataObjectFilter::CellData`[protected]`

| Definition at line 132 of file vtkDataSetToDataObjectFilter.h.

int vtkDataSetToDataObjectFilter::FieldData`[protected]`

| Definition at line 133 of file vtkDataSetToDataObjectFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkDataSetToDataObjectFilter.h